[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.Read

Read raw data from stream

## Declaration

Source position: classesh.inc line 1240

`public procedure TAbstractObjectReader.Read(`
`var Buf;`
`Count: LongInt`
`); virtual; abstract;`

## Description

Read is introduced for Delphi compatibility to read raw data from the component stream. This should not be used in production code as it will totally mess up the streaming.

## See also

TBinaryObjectReader.Read |  | Read raw data from stream
TReader.Read |  | Read raw data from stream